### Function

# Qmi message_get_raw_tlv

since: 1.0

#### Declaration [src]

    const guint8*
    qmi_message_get_raw_tlv (
      QmiMessage* self,
      guint8 type,
      guint16* length
    )

#### Description [src]

Get the raw data buffer of a specific TLV within the `QmiMessage`.

Available since: 1.0

#### Parameters

`self`

  Type: `QmiMessage`

  A `QmiMessage`.

  The data is owned by the caller of the function.

`type`

  Type: `guint8`

  Specific ID of the TLV to get.

`length`

  Type: `guint16*`

  Return location for the length of the TLV.

  The argument will be set by the function.

#### Return value

Type: `const guint8*`

The raw data buffer of the TLV, or `NULL` if not found.

The data is owned by the called function.